#
# Generated Makefile - do not edit!
#
# Edit the Makefile in the project folder instead (../Makefile). Each target
# has a -pre and a -post target defined where you can add customized code.
#
# This makefile implements configuration specific macros and targets.


# Environment
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib
CC=gcc
CCC=g++
CXX=g++
FC=gfortran

# Macros
PLATFORM=GNU-Linux-x86

# Include project Makefile
include Makefile

# Object Directory
OBJECTDIR=build/Debug/${PLATFORM}

# Object Files
OBJECTFILES= \
	${OBJECTDIR}/src/RepodataRPMSource.o \
	${OBJECTDIR}/src/RPMInfoHandler.o \
	${OBJECTDIR}/src/HardlinkAction.o \
	${OBJECTDIR}/src/RPMSourceDescription.o \
	${OBJECTDIR}/src/GlobObj.o \
	${OBJECTDIR}/src/RPM.o \
	${OBJECTDIR}/src/ListAction.o \
	${OBJECTDIR}/src/AppException.o \
	${OBJECTDIR}/src/Action.o \
	${OBJECTDIR}/src/NoviInfo.o \
	${OBJECTDIR}/src/Product.o \
	${OBJECTDIR}/src/SoftlinkAction.o \
	${OBJECTDIR}/src/ProductList.o \
	${OBJECTDIR}/src/PrintAction.o \
	${OBJECTDIR}/src/main.o \
	${OBJECTDIR}/src/TagStack.o \
	${OBJECTDIR}/src/GzipInputStream.o \
	${OBJECTDIR}/src/DirectoryRPMSource.o \
	${OBJECTDIR}/src/AttributeMap.o \
	${OBJECTDIR}/src/AppConfig.o

# C Compiler Flags
CFLAGS=

# CC Compiler Flags
CCFLAGS=
CXXFLAGS=

# Fortran Compiler Flags
FFLAGS=

# Link Libraries and Options
LDLIBSOPTIONS=

# Build Targets
.build-conf: ${BUILD_SUBPROJECTS}
	${MAKE}  -f nbproject/Makefile-Debug.mk dist/Debug/${PLATFORM}/project.novi2

dist/Debug/${PLATFORM}/project.novi2: ${OBJECTFILES}
	${MKDIR} -p dist/Debug/${PLATFORM}
	${LINK.cc} -o dist/Debug/${PLATFORM}/project.novi2 ${OBJECTFILES} ${LDLIBSOPTIONS} 

${OBJECTDIR}/src/RepodataRPMSource.o: src/RepodataRPMSource.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/RepodataRPMSource.o src/RepodataRPMSource.cc

${OBJECTDIR}/src/RPMInfoHandler.o: src/RPMInfoHandler.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/RPMInfoHandler.o src/RPMInfoHandler.cc

${OBJECTDIR}/src/HardlinkAction.o: src/HardlinkAction.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/HardlinkAction.o src/HardlinkAction.cc

${OBJECTDIR}/src/RPMSourceDescription.o: src/RPMSourceDescription.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/RPMSourceDescription.o src/RPMSourceDescription.cc

${OBJECTDIR}/src/GlobObj.o: src/GlobObj.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/GlobObj.o src/GlobObj.cc

${OBJECTDIR}/src/RPM.o: src/RPM.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/RPM.o src/RPM.cc

${OBJECTDIR}/src/ListAction.o: src/ListAction.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/ListAction.o src/ListAction.cc

${OBJECTDIR}/src/AppException.o: src/AppException.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/AppException.o src/AppException.cc

${OBJECTDIR}/src/Action.o: src/Action.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/Action.o src/Action.cc

${OBJECTDIR}/src/NoviInfo.o: src/NoviInfo.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/NoviInfo.o src/NoviInfo.cc

${OBJECTDIR}/src/Product.o: src/Product.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/Product.o src/Product.cc

${OBJECTDIR}/src/SoftlinkAction.o: src/SoftlinkAction.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/SoftlinkAction.o src/SoftlinkAction.cc

${OBJECTDIR}/src/ProductList.o: src/ProductList.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/ProductList.o src/ProductList.cc

${OBJECTDIR}/src/PrintAction.o: src/PrintAction.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/PrintAction.o src/PrintAction.cc

${OBJECTDIR}/src/main.o: src/main.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/main.o src/main.cc

${OBJECTDIR}/src/TagStack.o: src/TagStack.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/TagStack.o src/TagStack.cc

${OBJECTDIR}/src/GzipInputStream.o: src/GzipInputStream.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/GzipInputStream.o src/GzipInputStream.cc

${OBJECTDIR}/src/DirectoryRPMSource.o: src/DirectoryRPMSource.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/DirectoryRPMSource.o src/DirectoryRPMSource.cc

${OBJECTDIR}/src/AttributeMap.o: src/AttributeMap.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/AttributeMap.o src/AttributeMap.cc

${OBJECTDIR}/src/AppConfig.o: src/AppConfig.cc 
	${MKDIR} -p ${OBJECTDIR}/src
	$(COMPILE.cc) -g -o ${OBJECTDIR}/src/AppConfig.o src/AppConfig.cc

# Subprojects
.build-subprojects:

# Clean Targets
.clean-conf:
	${RM} -r build/Debug
	${RM} dist/Debug/${PLATFORM}/project.novi2

# Subprojects
.clean-subprojects:
